Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 8098

Summary: two cdroms
Product: [Retired] Red Hat Linux Reporter: w_heily
Component: kernelAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: bero, rhw
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-15 16:27:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description w_heily 2000-01-01 07:12:46 UTC
the 2 cdroms will not work to gether in linux but work win 95 one of the
cdrom is a 8x and the other is cd-rw 4x/4x/24x cdrom and they will not
work once in the kernal i only just installed the cd-rw it found it but
did not work

Comment 1 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 2 Bernhard Rosenkraenzer 2000-02-15 16:27:59 UTC
Works without problems here - are you sure you used the right device numbers
and names?

Comment 3 Riley H Williams 2000-02-16 16:15:59 UTC
I have a very similar setup - in my case 24x ATAPI CD-ROM and 4x2x2 ATAPI CD-RW
- and admit that I was puzzled at first with how to get them both set up.

The working hardware setup here that allows me to write to the CD-RW using
cdrecord is as follows:

  hda = Hard drive
  hdb = CD-ROM
  hdc = Zip
  hdd = CD-RW

To get them all working as required, I have to specify in /etc/lilo.conf that
hda and hdb use the standard IDE driver, hdc uses the IDE-Floppy driver and hdd
uses the IDE-SCSI driver. I also need to have all three drivers hard compiled
into the kernel, as otherwise the specifications are ignored.

With this setup, the drives are actually referred to as follows:

       Hardware    Device       Software
       ~~~~~~~~    ~~~~~~~~~    ~~~~~~~~
         hda       Hard disk      hda
         hdb       CD-ROM         hdb
         hdc       Zip-250        hdc
         hdd       CD-RW          sr0         <=== Note this

Note the changed reference for the CD-RW as hdd does NOT work with this setup.